Browser Compatibility Error



You must be using Microsoft(R) Internet Explorer version 6 or higher on a PC or compatible system to use the iSmart Interface.

With the latest update to Internet Explorer, iCreate CMS customers will need to add the CMS into the browsers compatibility view.

Please note the update does not have any impact on the front end of your website. This will still display as normal.

The below articles offer step by step instructions on how to add the CMS to Internet Explorer's Compatibility view:

IE11: http://support.ismartsoftware.com.au/internet-explorer-11-browser-compatibility-error

The iCreate CMS is a product developed over a decade ago and sold under Smartype88. This product is no longer actively supported and updated. Please contact iSmart Software if you would like to discuss upgrading your website to a modern CMS.